> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailchannels.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of your subscriptions to MailChannels Inbound



## OpenAPI

````yaml /inbound/api-reference/openapi.yaml get /subscriptions
openapi: 3.0.3
info:
  title: Inbound API
  description: |
    Manage domains for MailChannels Inbound.

    ### Rate Limits
    This API is limited to 100 queries per second, per customer.
    Queries that exceed this rate may be rejected with the
    `503 Service Temporarily Unavailable` HTTP response.
  version: 1.3.0
servers:
  - url: https://api.mailchannels.net/inbound/v1
security:
  - APIKeyHeader: []
tags:
  - name: Domains
  - name: Lists
  - name: Recipients
  - name: Login links
  - name: Reporting
  - name: Account
paths:
  /subscriptions:
    get:
      tags:
        - Account
      summary: Get a list of your subscriptions to MailChannels Inbound
      parameters: []
      responses:
        '200':
          description: Success, a list of subscriptions is returned
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Subscription'
        '404':
          description: We could not find a customer that matched the customerHandle
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    Subscription:
      required:
        - handle
        - active
        - plan
        - limits
        - activeAccountsCount
      properties:
        handle:
          type: string
          description: >
            A unique identifier for this subscription.  This is used to refer to
            this

            subscription in other API calls.
        active:
          description: |
            If true, this subscription is currently enabled.
          type: boolean
        plan:
          $ref: '#/components/schemas/Plan'
        limits:
          type: array
          description: >
            A list of limits associated with this subscription.  Limits are
            things like the maximum number of domains

            that can be provisioned against this subscription, or whether some
            features are enabled.
          items:
            $ref: '#/components/schemas/Limit'
        activeAccountsCount:
          description: >-
            The number of domains currently provisioned against this
            subscription.
          type: integer
          format: int64
    ErrorResponse:
      required:
        - errors
      properties:
        code:
          type: integer
        message:
          type: string
        errors:
          type: array
          items:
            type: string
    Plan:
      type: object
      required:
        - handle
        - name
      properties:
        handle:
          description: A unique identifier for this plan.
          type: string
        name:
          type: string
          description: A friendly name for this plan.
    Limit:
      required:
        - featureHandle
        - value
      properties:
        featureHandle:
          type: string
        value:
          type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````